Bug 728622 - inconsistent enable config entries
inconsistent enable config entries
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
All Solaris
unspecified Severity medium
: ---
: ---
Assigned To: William Poteat
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-08-05 16:41 EDT by Jesus M. Rodriguez
Modified: 2015-05-14 11:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2011-08-05 16:41:18 EDT
Description of problem:
use of enable and enabled. We should be consistent.

candlepin.amqp.enable = false
candlepin.auth.oauth.enabled=true
candlepin.pinsetter.enable=false

Expected results:

Proposed solution: change candlepin.auth.oauth.enabled to be
candlepin.auth.oauth.enable.
Comment 1 Jesus M. Rodriguez 2011-08-05 16:42:56 EDT
These are also enabled and should be enable.

candlepin.auth.trusted.enabled
candlepin.auth.ssl.enabled
candlepin.auth.oauth.enabled
candlepin.auth.basic.enabled
Comment 2 Jesus M. Rodriguez 2011-09-12 11:43:41 EDT
fixed in ead45e96f082d22cb4e3e47ed023f96b3685520e

requires version candlepin-0.4.11 or greater
Comment 4 J.C. Molet 2011-09-27 13:20:20 EDT
in ConfigProperties.java:


[root@mgmt5 config]# cat /root/candlepin/proxy/src/main/java/org/fedoraproject/candlepin/config/ConfigProperties.java | egrep ".enable"

    public static final String TRUSTED_AUTHENTICATION = "candlepin.auth.trusted.enable";
    public static final String SSL_AUTHENTICATION = "candlepin.auth.ssl.enable";
    public static final String OAUTH_AUTHENTICATION = "candlepin.auth.oauth.enable";
    public static final String BASIC_AUTHENTICATION = "candlepin.auth.basic.enable";
    public static final String AMQP_INTEGRATION_ENABLED = "candlepin.amqp.enable";
    public static final String ENABLE_PINSETTER = "candlepin.pinsetter.enable";


===================
there are no instances of "enabled" anywhere in the key/variable mappings for candlepin configs.  They have all been renamed using 'enable'.  All other entries in the config not found in the mapping are ignored (such as the old keys).

marking VERIFIED against:

[root@mgmt5 config]# git branch
  0.2
  0.3
  BETA
* master
  ownergate
[root@mgmt5 config]# git show-ref | grep master
1243076d76a343d157dc49bb0afb2de19ebfc71f refs/heads/master
1243076d76a343d157dc49bb0afb2de19ebfc71f refs/remotes/origin/master

Note You need to log in before you can comment on or make changes to this bug.